[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.RegisterFileFormat

RegisterFileFormat - Register a new TGraphic class for use in LoadFromFile

## Declaration

Source position: graphics.pp line 932

`class procedure TPicture.RegisterFileFormat(`
`const AnExtension: String;`
`const ADescription: String;`
`AGraphicClass: TGraphicClass`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.